﻿/*------------------------------------ structure -----------------------------------------*/

.container_bg_mp.navigation_gap {
    padding-top: 140px;
}


.container_bg_mp {
    max-width: 2560px;
    margin: 0 auto;
    padding: 60px 0;
    position: relative;
    overflow: hidden;
}



.content_background {
    max-width: 1500px;
    margin: 0 auto;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding-left: 0;
    padding-right: 0;
}

.container_narrow {
    max-width: 700px;
}

.align_self_center {
    align-self: center;
}

@media screen and (max-width: 1350px) {
    .container {
        padding-left: 5%;
        padding-right: 5%;
    }
}

.flex_container {
    display: flex;
    flex-direction: column;
    /*background-color: rgba(255, 0, 0, 0.2);*/
    gap: 30px;
}

.flex_unit {
    /*background-color: rgba(255, 0, 0, 0.4);*/
}

.flex_unit_text {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.flex_unit_text_wrapper {
    display: block;
}

.flex_unit_image {
    display: flex;
    align-items: center;
    justify-content: center;
}

    .flex_unit_image img {
        width: 450px;
    }

.justify_end {
    justify-content: end;
}

@media screen and (min-width: 790px) {
    .flex_container {
        flex-direction: row;
    }

        .flex_container.always_column {
            flex-direction: column;
        }

        .flex_container.row_xl_reverse {
            flex-direction: row-reverse;
        }

    .flex_unit {
        flex-basis: 50%;
    }

    .flex_unit_left {
        margin-right: auto;
    }

    .flex_unit_right {
        margin-left: auto;
    }
}




/*------------------------------------ titles -----------------------------------------*/

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    font-family: 'Titillium Web', sans-serif;
    text-transform: uppercase;
    margin-bottom: 0.3em;
    font-weight: 900;
    line-height: 1.2;
}

h1, .h1 {
    font-size: 2.5rem;
}

h2, .h2 {
    font-size: 2rem;
}

h3, .h3 {
    font-size: 1.8rem;
}

.section_h1 {
    font-size: 2.5rem;
    line-height: 1;
    font-weight: 900;
    color: white;
    filter: drop-shadow(0px 4px 0px #000);
    margin-bottom: 0.3em;
    text-wrap: pretty;
}

.section_h1_dark {
    font-size: 2.5rem;
    line-height: 1;
    font-weight: 900;
    color: #234048;
    margin-bottom: 0.3em;
    text-wrap: pretty;
}

.header_h1 {
    font-size: 3.2rem;
    line-height: 1;
    font-weight: 900;
    color: white;
    filter: drop-shadow(0px 4px 0px #000);
    margin-bottom: 0.3em;
    text-wrap: pretty;
}

.header_h1_dark {
    font-size: 3.2rem;
    line-height: 1;
    font-weight: 900;
    color: #234048;
    margin-bottom: 0.3em;
    text-wrap: pretty;
}

.title_dark {
    color: #234048;
}

.title_light {
    color: white;
    filter: drop-shadow(0px 4px 0px #000);
}


form h3.title_dark {
    margin-bottom: 1.2rem;
}

.section_h2 {
    line-height: 1;
    font-weight: 900;
    color: var(--color-subtitle);
    filter: drop-shadow(0px 4px 0px #000);
    margin-bottom: 0.3em;
    text-wrap: pretty;
}

.section_p {
    font-size: 1.15rem;
    color: #fff;
    font-weight: bold;
    text-wrap: pretty;
}


/*------------------------------------ kr6_btn -----------------------------------------*/

button {
    background: none;
    outline: none;
    border: none;
}

.kr6_btn {
    padding: 9px 24px 14px;
    border-radius: 8px;
    border: 2px solid #000;
    background-color: #009cff;
    color: white;
    font-family: 'Titillium Web', sans-serif;
    text-transform: uppercase;
    font-weight: 800;
    letter-spacing: 0.05em;
    font-size: 19px;
    cursor: pointer;
    /* Inner shadows */
    box-shadow: inset 0 4px 0 #58d6ff, inset 0 -4px 0 #105ea0;
    /* Text styling */
    text-shadow: 1px 0 0 #000, -1px 0 0 #000, 0 1px 0 #000, 0 -1px 0 #000, 1px 1px 0 #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000;
    filter: brightness(1);
    transition: transform 0.1s ease, box-shadow 0.1s ease, filter 0.1s ease;
}

    .kr6_btn:active {
        transform: translateY(1px);
        box-shadow: inset 0 2px 0 #58d6ff, inset 0 -2px 0 #105ea0;
    }

    .kr6_btn:hover {
        filter: brightness(1.1);
    }

.kr6_btn .text_shadow {
    filter: drop-shadow(0px 3px 0px #000000);
}

.kr6_btn_shadow {
    filter: drop-shadow(0 6px 0 rgba(0, 0, 0, 0.3));
}

@media screen and (min-width: 1024px) {
    .kr6_btn {
        
    }
}




/*------------------------------------ link_mp -----------------------------------------*/

.link_mp {
    font-family: var(--site-font-family), sans-serif;
    font-size: 1.45rem;
    line-height: 1.45rem;
    font-weight: 900;
    text-transform: uppercase;
    text-decoration: none;
    display: inline-block;
    padding-bottom: .2em;
    border-bottom: 3px solid transparent;
    transition: .1s;
    --link-mp-grey: #446167;
    --link-mp-blue: #00D3FF;
    margin: 1.5em auto 5px;
}

a.link_mp_grey {
    color: var(--link-mp-grey);
}

a.link_mp_blue {
    color: var(--link-mp-blue);
}

.link_mp span {
    display: inline-block;
    width: 0;
    height: 0;
    border-top: .4em solid transparent;
    border-bottom: .4em solid transparent;
    border-left: .4em solid red;
    margin-left: .3em;
    transition: all .3s;
}

.link_mp_grey span {
    border-left: .5em solid var(--link-mp-grey);
}

.link_mp_blue span {
    border-left: .5em solid var(--link-mp-blue);
}

.link_mp_grey:hover {
    border-bottom: 3px solid var(--link-mp-grey);
    text-decoration: none;
}

.link_mp_blue:hover {
    border-bottom: 3px solid var(--link-mp-blue);
    text-decoration: none;
}

.link_mp:hover span {
    margin-left: .6em;
}

/*--------------------------------- SEPARATIONS -------------------------------------*/


.separation {
    max-width: 2560px;
    height: 40px;
    background-repeat: no-repeat;
    background-position: center center, left center, right center;
    position: relative;
    z-index: 2;
    top: 0;
    left: 0;
    margin: -20px auto -20px;
    background-size: auto 40px, 50% 40px, 50% 40px;
}

.separation_simple {
    max-width: 2560px;
    height: 40px;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    z-index: 2;
    top: 0;
    left: 0;
    margin: -20px auto -20px;
    background-size: 100% 40px;
}

@media screen and (min-width: 1024px) {
    .separation {
        height: 60px;
        margin: -30px auto -30px;
        background-size: auto 60px, 50% 60px, 50% 60px;
    }

    .separation_simple {
        height: 60px;
        margin: -30px auto -30px;
        background-size: 100% 60px;
    }
}


.separation_pvp {
    background-image: url("../img/separation/pvp/separation_pvp_center_193x211.png"), url("../img/separation/pvp/separation_pvp_left_3x211.png"), url("../img/separation/pvp/separation_pvp_right_3x211.png");
}

.separation_soldier {
    background-image: url("../img/separation/soldier/soldier-separation-center-246x211.png"), url("../img/separation/soldier/soldier-separation-sides-6x211.png"), url("../img/separation/soldier/soldier-separation-sides-6x211.png");
}

.separation_soldier_simple {
    background-image: url("../img/separation/soldier/soldier-separation-sides-6x211.png");
}

.hue_rotate_15 {
    filter: hue-rotate(15deg);
}

.hue_rotate_30 {
    filter: hue-rotate(30deg);
}

.hue_rotate_45 {
    filter: hue-rotate(45deg);
}

.hue_rotate_60 {
    filter: hue-rotate(60deg);
}

.hue_rotate_75 {
    filter: hue-rotate(75deg);
}

.hue_rotate_90 {
    filter: hue-rotate(90deg);
}

.hue_rotate_135 {
    filter: hue-rotate(135deg);
}

.hue_rotate_180 {
    filter: hue-rotate(180deg);
}

.hue_rotate_220 {
    filter: hue-rotate(220deg);
}

.hue_rotate_260 {
    filter: hue-rotate(260deg);
}

.hue_rotate_260_darker {
    filter: hue-rotate(260deg) brightness(50%) saturate(60%);
}

.hue_rotate_180_darker {
    filter: hue-rotate(190deg) brightness(60%);
}

.separation_bg_gray {
    filter: hue-rotate(190deg) brightness(130%) saturate(30%);
}

.separation_premium {
    background-image: url("../img/separation/premium/premium-separation-center-247x211.png"), url("../img/separation/premium/premium-separation-sides-8x211.png"), url("../img/separation/premium/premium-separation-sides-8x211.png");
}

/*---------------------------------------------- text utilities ---------------------------------------------------*/

.text_center {
    text-align: center;
}

.text_left {
    text-align: left;
}

@media screen and (min-width: 790px) {
    .text_xl_left {
        text-align: left;
    }

    .text_xl_center {
        text-align: center;
    }
}

/*----------------------------------------------- news article-item --------------------------------------------------------*/

 .article-item .content {
    text-align: left;
}


/*------------------------------------------------------ MODAL ---------------------------------------------------------*/

.modal{ 
    box-sizing: border-box;
}

.modal h3{
    margin-top: 0;
}

.modal p{
    margin: 0;
}

.modal-frame {
    max-height: 95vh;
    overflow: auto;
}

/*--------------------------------------------- IMAGES ----------------------------------------------------*/


img{
    max-width: 100%;
    height: auto;
    box-sizing: border-box;
}